<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <targets>
    <target name="defaultLog" xsi:type="File" 
            fileName="${shortdate}-EDMDesigner.log" 
            layout="${longdate}|${level:uppercase=true}|${logger}|${message}"
            maxArchiveFiles="30"
    />
    
    <target name="defaultLog" xsi:type="File" 
            fileName="${shortdate}-EDMDesigner.log" 
            layout="${longdate}|${level:uppercase=true}|${logger}|${message}|${exception:format=message}|${exception:format=toString}"
            maxArchiveFiles="30"           
    />
      
    <!--
      maxArchiveFiles kann nicht null sein, siehe:
      https://github.com/NLog/NLog/issues/1479
    -->
    <target name="detailLog" xsi:type="File" 
            fileName="${shortdate}-EDMDesigner-DETAIL.log" 
            layout="${longdate}|${level:uppercase=true}|${logger}|${message}"
            maxArchiveFiles="1"
            archiveEvery ="Day"
    />
            
    <target name="debugLog" xsi:type="File" 
            fileName="${shortdate}-EDMDesigner-DEBUG.log" 
            layout="${longdate}|${level:uppercase=true}|${logger}|${message}"
            maxArchiveFiles="1"
            archiveEvery ="Day"
    />
            
  </targets>

  <rules>
    <logger name="*" minLevel="Debug" maxLevel="Debug" writeTo="debugLog" />
    <logger name="*" minLevel="Info" maxLevel="Info" writeTo="detailLog" />
    <logger name="*" minLevel="Warn" maxLevel="Fatal" writeTo="defaultLog" />   
  </rules>
</nlog>